/**
 *<BR> Name:          First Last
 *<BR> Date:          0-00-0000
 *<BR> Period:        0
 *<BR> Assignment:    Lesson00
 *<BR> Description:   In a sentence, what does this code do?
 *<BR> Cite Sources:  Everyone who helped, and/or websites used
 *<BR> Cite Sources:  https://www.rapidtables.com/web/color/RGB_Color.html
 *<BR> Cite Sources:  https://docs.oracle.com/en/java/javase/11/docs/api/java.desktop/java/awt/Graphics.html
 */

import java.awt.Graphics;
import java.awt.Canvas;
import java.awt.Color;

public class Drawing extends Canvas         //So Drawing is a "child" class of the Canvas class
{
    public Drawing()
    {
        //empty default constructor, do not remove this...
    }
    
    public void paint(Graphics MyGraphics)           //Override the paint method of the Canvas class to draw!
    {
        //draw a sample circle (oval)
        MyGraphics.setColor(new Color(0,206,209));   //dark turquoise
        MyGraphics.fillOval(100, 100, 200, 200);     //use fillOval from Java Graphics class method

        //draw a sample polygon
        drawMyPolygon(MyGraphics);                    //use user defined private helper method (below)
    }

    private void drawMyPolygon(Graphics MyGraphics)
    {
        // x coordinates of vertices 
        int x[] = {150, 250, 325, 375, 350, 275, 100};
  
        // y coordinates of vertices 
        int y[] = {150, 100, 125, 225, 250, 375, 300}; 
  
        // number of vertices 
        int numberofpoints = 7; 
  
        // set the color of line drawn
        MyGraphics.setColor(Color.blue); 
  
        // draw the polygon using Java Graphics class method 
        MyGraphics.drawPolygon(x, y, numberofpoints);         
    }
}